0

最近服务器即将到期,续费又比较贵,只好换一个更便宜的类型。上一次配置环境忘记做记录,这次顺便记录一下,以备不时之需,此时的系统版本为Ubuntu 18.04。

安装Apache

sudo apt install apache2

安装MySQL

sudo apt install mysql-server mysql-client

如果安装时没有要求提供密码,则在/etc/mysql/debian.cnf文件里会生成一份默认的密码,使用这个密码登录mysql,然后修改root用户的密码:

update mysql.user set authentication_string=password('your new password') where User='root' and Host='localhost';
update mysql.user set plugin="mysql_native_password" where User='root' and Host='localhost';
flush privileges;

安装PHP

sudo apt install php7.2 libapache2-mod-php7.2 php7.2-mysql

配置MySQL

请注意其中的数据库名,用户名以及密码。

create database wpdb;
create user wp@localhost identified by 'your password';
grant all privileges on wpdb.* to wp@localhost;
flush privileges;

如果是迁移网站还需要导入原来的数据库,如果域名有更改,还需要修改数据表中的内容(略)。

如果是新安装,则将从官网下载的WordPress解压到网站目录,然后配置wp-config.php中数据库的部分;如果是迁移,则将备份的网站目录拷贝到新的网站目录。然后配置网站目录(假设为 /var/www/blog )权限:

cd /var/www
sudo chown -R www-data:www-data blog
sudo chmod 644 blog/.htaccess

启用rewrite和ssl模块

其中rewrite用于支持WordPress中的伪静态链接,ssl用于支持https。

cd /etc/apache2/mods-enabled
sudo ln -s ../mods-available/rewrite.load rewrite.load
sudo ln -s ../mods-available/ssl.conf ssl.conf
sudo ln -s ../mods-available/ssl.load ssl.load
sudo ln -s ../mods-available/socache_shmcb.load socache_shmcb.load

重启apache服务器

sudo service apache2 restart

升级了WordPress 5.0以后,新的编辑器好用多了。本站采用的代码高亮插件是SyntaxHighlighter,在使用旧的编辑器时,每次重新编辑文章,代码中的特殊字符都会变成html中的转义字符,带来了很大的困扰。这个插件在新的编辑器中支持独立的区块,测试了几次基本没有出现问题,预祝以后再也不会遇到排好版的格式乱掉的问题了。

0

发表评论

电子邮件地址不会被公开。 必填项已用*标注